## jh71xx-tools 0~2021.07.16~git43be3329

=== Makefile ===
#PROG_FILE=jh7100-recover.c
PROG_NAME=jh7100-recover

CFLAGS := -Wall

#if you need to enable debug info, just uncomment below
#CFLAGS += -DDEBUG

EXEF := $(PROG_NAME)

.PHONY : all clean
all : $(EXEF)

clean:
	$(RM) *.o *.d $(EXEF)

=== debian/changelog ===
jh71xx-tools (0~2021.07.16~git43be3329-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Domenico Andreoli ]
  * Update standards version to 4.6.2, no changes needed.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 25 Jan 2023 17:51:36 +0100

jh71xx-tools (0~2021.07.16~git43be3329-3) unstable; urgency=medium

  * Drop makefile-build-with-debug-symbols.patch, not needed with
    dpkg-buildflags.
  * Point Source in debian/copyright to the upstream repo.
  * Move to section 'electronics'.
  * Add patches to solve the current broken state:
    - 0001-Fix-initialize.patch
    - 0002-Open-serial-port-just-once.patch
    - 0003-Files-sent-via-Xmodem-should-be-opened-read-only.patch
    - 0004-jh7100-recover-Use-int-for-getopt-return-value.patch
  * Update standards version to 4.6.1, no changes needed.
  * Add patches to solve the current broken state

 -- Domenico Andreoli <cavok@debian.org>  Fri, 16 Sep 2022 14:55:27 +0200

jh71xx-tools (0~2021.07.16~git43be3329-2) unstable; urgency=medium

  * Use build flags as provided by dpkg-buildflags.
  * Mark makefile-build-with-debug-symbols.patch forward as not needed.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 13 Apr 2022 21:03:05 +0200

jh71xx-tools (0~2021.07.16~git43be3329-1) unstable; urgency=medium

  * Initial release. (Closes: #1008475)

 -- Domenico Andreoli <cavok@debian.org>  Wed, 30 Mar 2022 22:15:58 +0200

=== debian/control ===
Source: jh71xx-tools
Priority: optional
Maintainer: Domenico Andreoli <cavok@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: electronics
Vcs-Browser: https://salsa.debian.org/debian/jh71xx-tools
Vcs-Git: https://salsa.debian.org/debian/jh71xx-tools.git
Homepage: https://github.com/kprasadvnsi/JH71xx-tools

Package: jh71xx-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StarFive JH71xx bootloader recovery and updater tool
 This utility is used to download the bootloader recovery firmware, the
 second stage bootloader and the ddrinit firmware to the CPU via UART.
 .
 It uses the xmodem protocol over UART, as expected by the JH71xx when
 the boot flash is blank.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --builddirectory=debian/build

override_dh_auto_build:
	$(MAKE) $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_clean:
	$(MAKE) clean
